Skip to main content
PATCH
Update an automation rule.

Authorizations

Authorization
string
header
required

WorkOS session access token (human dashboard sessions) on the control plane.

Headers

X-Spillway-Org
string<uuid>
Example:

"601c5d19-0b88-42f7-acda-d1d31abd100d"

Path Parameters

id
string<uuid>
required

Body

application/json
name
string
Required string length: 1 - 120
priority
integer
Required range: 0 <= x <= 100000
condition
object
action
object
state
enum<string>
Available options:
active,
notify_only,
disabled
stopOnMatch
boolean
rateCapPerHour
integer
Required range: 1 <= x <= 100000
scheduleCron
string | null
Maximum string length: 120
Pattern: ^\s*@every\s+\d+[smh]\s*$
notifyOnlyUntil
string<date-time> | null

Response

OK

Resource object.

{key}
any